Bug 1777195 - [vSphere][volume] PV cannot created with error: no VM found.
Summary: [vSphere][volume] PV cannot created with error: no VM found.
Keywords:
Status: CLOSED DUPLICATE of bug 1776773
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: aos-storage-staff@redhat.com
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-27 05:53 UTC by Wei Duan
Modified: 2019-12-03 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 12:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wei Duan 2019-11-27 05:53:02 UTC
Description of problem:
For fresh installation with 4.3 nightly build, pvc is always in pending status and pc cannot be created, when checking pvc info, it reports: Failed to provision volume with StorageClass "thin": No VM found
 
As we met storage issue in upgrade env yesterday(Bug #1776773), when checking kubelet process, we see '--cloud-provider=', but after modification, it still doesn't work.  

Also we see kubelet log as below, seems config file not specified, so add --cloud-provider in kubelet process doesn't work.

Nov 26 08:11:24 compute-0 hyperkube[1723]: I1126 08:11:24.311085    1723 plugins.go:100] No cloud provider specified.
Nov 26 08:11:24 compute-0 hyperkube[1723]: I1126 08:11:24.311108    1723 server.go:533] No cloud provider specified: "" from the config file: ""


Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2019-11-25-153929


How reproducible:

Steps to Reproduce:
1. create pod with pvc using default sc "thin"
2. check pod/pvc status


Actual results:
pod is pending 
pvc is pedning


Expected results:
pod should be running and pvc should be bounded. 

Master Log:


Node Log (of failed PODs):
from kubelet:
Nov 26 08:11:24 compute-0 hyperkube[1723]: I1126 08:11:24.311085    1723 plugins.go:100] No cloud provider specified.
Nov 26 08:11:24 compute-0 hyperkube[1723]: I1126 08:11:24.311108    1723 server.go:533] No cloud provider specified: "" from the config file: ""


PV Dump:

PVC Dump:
Events:
  Type       Reason              Age                  From                         Message
  ----       ------              ----                 ----                         -------
  Warning    ProvisioningFailed  4m5s (x41 over 79m)  persistentvolume-controller  Failed to provision volume with StorageClass "thin": No VM found
StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:


Note You need to log in before you can comment on or make changes to this bug.